%\fixme{Placeholder. But this introductory chapter will be a mixture of the three lensing papers (O3a, O3b and follow-up).}

%\textbf{Note:} This Chapter is an adaption of the LIGO-Virgo-KAGRA collaboration-wide publication:
%\begin{adaption}
%        \begin{centering}
%                \textit{``LIGO Scientific and Virgo Collaborations, R.~Abbott, ...(723 authors)..., \textbf{Alvin K.~Y.~Li}, ...(655 authors)..., ``Search for Lensing Signatures in the Gravitational-Wave Observations from the First Half of LIGO–Virgo's Third Observing Run'', \emph{Astrophys. J.} 923.1 (2021), \textsc{doi}: \texttt{10.3847/1538-4357/ac23db}''}
%        \end{centering}
%\end{adaption}

\section{Overview}
Part II of my thesis will focus on another phenomenon predicted in Einstein's theory of general relativity --- Gravitational Lensing.
This chapter is arranged as follows: In Section \ref{sec: brief_intro_to_lensing}, I will first briefly introduce gravitational lensing. 
In Section \ref{sec: lensing_of_gw_introduction}, I will discuss gravitational lensing of gravitational waves. 
I will then introduce the different regimes of lensing of gravitational waves, i.e.
microlensing, millilensing, and strong lensing. I will outline the current effort to look for lenisng of gravitational waves. 
I will briefly introduce the different pipelines and technologies used by the LVK collaboration to search for the first lensed 
gravitational waves.
Finally, in \ref{sec: overview_of_upcoming_chapters}, I will describe briefly the content of the remaining chapters of this part of my thesis.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{A very brief overview of gravitational lensing}
\label{sec: brief_intro_to_lensing}

\subsection{\underline{Optical lensing}}
When we look at objects through an optical lens like a convex lens or concave lens, their images will 
appear to have different locations than the object's original position. They will also appear to have 
sizes (magnified/diminished) compared to the object. This can be understood as light is refracted 
when it passes through the optical lens. This is known as \textbf{optical lensing}. Figure \ref{fig: optical_lensing}
shows a typical example of how light rays are refracted under the influence of a convex lens.
\begin{figure}[hbt]
\centering
\includegraphics[width=\textwidth]{optical_lensing.png}
\caption{
	\label{fig: optical_lensing} 
	A cartoon showing a typical case of optical lensing with a convex lens. Light from the object 
	on the left is being focused onto the observer on the right by the lens. The observer does not 
	know that the light has been refracted and will think that it originates from an image (in pink) 
	at a further position (different from the object's position), with a larger size (magnified).
}
\index{figures}
\end{figure}

\subsection{\underline{The concept and history of gravitational lensing}}
Einstein's theory of general relativity describes the universe as a fabric of spacetime. 
Masses can produce curvature on this fabric of spacetime. When electromagnetic (EM) waves from a source pass
by intervening massive objects like galaxies and galaxy clusters, their travelling paths will be deflected due
to the curvature of spacetime. This is known as \textbf{gravitational lensing}. One interesting point is that
the concept of light bending could already be seen in Newtonian mechanics before Einstein developed his theory of 
general relativity. I invite interested readers to the Appendix Section \ref{appsec: newtonian_lensing}.

An important concept in gravitational lensing is the \textbf{deflection angle}. The deflection angle measures how much deflection a gravitational lens induces on the travelling paths of the waves emitted from a source.
Since light bending is already predicted in Newtonian mechanics, it should not be surprising that the deflection angle 
was calculated way before Einstein formulated his theory of general relativity. 
Henry Cavendish was the first to calculate the gravitational lensing deflection angle back in 1784, followed by Johann 
Von Soldner in 1801 \cite{Ehlers:1992dau}. In 1911, Einstein also attempted to evaluate the deflection angle using 
Newtonian mechanics, and the deflection angle near the surface of the Sun was determined to be roughly $\delta\theta = 0.84''$ \cite{universe2010006}. 
In 1913, Einstein wrote a letter to astronomer George Hale and asked if it was possible to observe and measure a deflection 
angle of $\delta\theta = 0.84''$. George Hale explained to Einstein that unless it is in the case of a solar eclipse, 
the background starlight will be dominated by sunlight. 
In 1914, Einstein asked Erwin Freundlich to lead a German team to Russia to observe a total solar eclipse to verify 
the deflection angle calculation \cite{dodelson_2017}. 
However, the team was captured during the First World War (WWI) and was released only after the solar eclipse.

In 1915, Einstein recalculated the deflection angle with correction based on general relativity \cite{Einstein_1915}
and obtained $\delta\theta = 1.75''$. The detailed calculations for the relativistic deflection angle
are found in the Appendix Section \ref{appsec: gr_deflection_angle}.
Sir Eddington set out to observe a total solar Eclipse on May 29, 1919, partially to avoid military service that would 
conflict with his Quaker faith \cite{dodelson_2017,doi:10.1098/rsnr.2020.0040}. 
Eddington observed a deflection angle of $\delta\theta = 1.9''$, proving Einstein was right up to a $30\%$ error. 
The deflection of light is the first confirmed prediction of general relativity, even before the proper explanation of
the perihelion shift of Mercury \cite{congdon2018principles}.

Unexpectedly, Einstein did not believe gravitational lensing would be a significant contribution \cite{doi:10.1126/science.84.2188.506}. 
This is because he only considered stellar-mass objects as possible gravitational lenses, for which the images will not be observationally 
resolvable. 
In 1937, Fritz Zwicky considered the possibility of nebulae being gravitational lenses \cite{PhysRev.51.290}. 
He also considered the possibility of a galaxy being observed as multiple distinct lensed images if its light 
passed sufficiently close to a foreground cluster of galaxies\cite{congdon2018principles}. 
The foreground cluster of galaxies has to contain a lot of unseen dark matter to prevent the galaxies from flying apart. 
In 1970, Vera Rubin and Kent Ford demonstrated that a single galaxy could also act as a gravitational lens \cite{1970ApJ...159..379R}.

Gravitational lensing was long forgotten until the 1960s when Norwegian Sjur Refsdal started working on it again. 
In 1964, Sjur proposed that measurements of the Hubble constant can be made independent of other methods by measuring the time 
delay between lensed images \cite{2021AAS...23741005K}. People in the (astro)physics community were initially skeptical, 
but later decided it was a plausible idea. Since then, gravitational lensing has become a highly useful tool in astrophysics.
For instance, gravitational lensing can be used to search for the presence of dark matter~\citep{Clowe:2003tk,Markevitch:2003at} and
exoplanets~\citep{Bond:2004qd}, and to detect and discover faint massive objects and structures~\citep{Coe:2012wj}.

\subsection{\underline{Key concepts in gravitational lensing}}
I will now summarize the key concepts in gravitational lensing. Refer to Figure \ref{Fig: 3d_point_mass_lens_model} for the discussion.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{3d_point_mass_lens_model.png}
\caption{
	\label{Fig: 3d_point_mass_lens_model} 
	Parameters for deriving the lens equation.
	Here, the solid black line joining the observer and the center of the lens defined the $z$-axis.
	All angles described in this figure are two-dimensional azimuthal angles (e.g. one can decompose the angles into $x$ and $y$ components).
	$\vec\theta$ is the 2D angle of the image position. 
	$\vec{\xi}$ is the 2D impact parameter. 
	$\vec\eta$ is the 2D source position. 
	$\vec\beta$ is the 2D angle of the source position. 
	All other parameters have the same meanings as in Figure \ref{Fig: point_mass_lens_model}.
}
\index{images}
\end{figure}

In gravitational lensing, we focus on the ``lens equation'', given by
\begin{align}
	\vec\beta + \frac{D_\text{LS}}{D_\text{S}}\hat\alpha = \vec\theta.
\end{align}
The lens equation relates the source position $\vec\beta$, the image position $\vec\theta$, the source distance $D_S$,
the lens-source distance $D_\mathrm{LS}$ and the deflection angle $\vec\alpha$ together. Appendix section \ref{appsec: lens_equation} provides a detailed geometric derivation for the lens equation.
One can also derive the lens equation by considering the total time delay of waves emitted from a source arriving at the 
observer due to gravitational lensing. There are two components in the time delay function, namely, the geometric time delay
\begin{align}
	\tau_\text{geo} = (1+z_L)\Delta \lambda = (1+z_L)\frac{D_\text{S}D_\text{L}}{2D_\text{LS}}|\vec\theta - \vec\beta|^2,
\end{align}
where $z_L$ is the lens redshift; and gravitational time delay (also known as the Shapiro time delay) 
\begin{align}
	\tau_\text{grav} = -2(1+z_L)\int \Phi dl
\end{align}
where $\Phi$ is the Newtonian potential of the lens. Detailed derivation of the two components can be found in
the Appendix section \ref{appsec: lens_eq_from_time_delay}.

The total time delay caused by gravitational lensing is given by
\begin{align}
	\tau &= \tau_\mathrm{geo} + \tau_\mathrm{grav} \\
	&= (1+z_L)\frac{D_\text{S}D_\text{L}}{2D_\text{LS}}|\vec\theta - \vec\beta|^2 -2(1+z_L)\int \Phi dl \\
	&= (1+z_L)\frac{D_\text{S}D_\text{L}}{D_\text{LS}}\left[\frac{1}{2}|\vec\theta - \vec\beta|^2 - \Phi_\text{eff}\right],
\end{align}
where
\begin{align}
        \Phi_\text{eff} = \frac{D_\text{LS}}{D_\text{L}D_\text{S}} \int 2\Phi dl
\end{align}
is the ``effective 2D potential'' of the lens. The term inside the bracket is known as the Fermat potential. 
According to the Fermat principle, light travels along paths with stationary traveling times. 
By differentiating the Fermat potential with respect to $\vec\theta$ and setting the results to be zero, i.e.
\begin{align}
        \nabla_{\vec\theta} \left[\frac{1}{2}|\vec\theta - \vec\beta|^2 - \Phi_\text{eff}\right] = 0,
\end{align}
we obtain
\begin{align}
        \vec\theta - \vec\beta - \nabla \Phi_\text{eff} = 0,
\end{align}
which is the same lens equation we have obtained previously, if we identify $\nabla \Phi_\text{eff}$ as the deflection angle, i.e.
\begin{align}
        \vec\alpha = \nabla \Phi_\text{eff}.
\end{align}

In practice, light will travel along paths where $\nabla \tau = 0$. 
To determine the type of solutions, we take the second derivative of the time delay function, which gives the lensing Jacobian:
\begin{align}
	\nabla \nabla \tau = 
	\begin{bmatrix}
		\frac{d^2\tau}{d\theta_x^2} & \frac{d^2\tau}{d\theta_x d\theta_y} \\
		\frac{d^2\tau}{d\theta_x d\theta_y} & \frac{d^2\tau}{d\theta_y^2}
       	\end{bmatrix}.
\end{align}
The solution is a local minimum if the second derivative yields two positive eigenvalues.
If it yields one positive and one negative eigenvalue, the solution is a saddle point solution.
If it yields two negative eigenvalues, the solution is a local maximum.

In index notation form, the lens equation can be written as
\begin{align}
        \tau_{,i} = \theta_i - \beta_i - \psi_{,i}.
\end{align}
Taking the second derivative, we get
\begin{align}
        \tau_{,ij} = \underbrace{\theta_{i,j}}_{=\delta_{ij}} - \underbrace{\beta_{i,j}}_{=0} - \psi_{,ij} = \delta_{ij} - \psi_{,ij},
\end{align}
where $\theta_{i,j} = \partial_j \theta_i$. Hence, we can write the lensing Jacobian as
\begin{align}
	A = \tau_{,ij} = 
	\begin{bmatrix}
		1 - \psi_{,xx} & - \psi_{,xy}\\
		-\psi_{,xy} & 1 - \psi_{,yy}
	\end{bmatrix}.
\end{align}
The convergence is related to the potential by $2\kappa = \psi_{,ii}$, so we can write
\begin{align}
        \kappa = \frac{1}{2}\left[\psi_{,xx} + \psi_{,yy}\right].
\end{align}
Hence, the lensing Jacobian can be rewritten as
\begin{align}
	A = \tau_{,ij} &= 
	\begin{bmatrix}
		1 - \kappa - \frac{1}{2}\left[\psi_{,xx}-\psi_{,yy}\right] & - \psi_{,xy}\\
		-\psi_{,xy} & 1 - \kappa + \frac{1}{2}\left[\psi_{,xx}-\psi_{,yy}\right]
	\end{bmatrix} \\
	&= 
	\begin{bmatrix}
		1 - \kappa - \gamma_1 & - \gamma_2\\
		-\gamma_2 & 1 - \kappa + \gamma_2
	\end{bmatrix},
\end{align}
where
\begin{align}
	\begin{cases}
		\gamma_1 = \frac{1}{2}\left[\psi_{,xx}-\psi_{,yy}\right]\\
		\gamma_2 = \psi_{,xy}
	\end{cases}.
\end{align}
We can write the Jacobian into a sum of two matrices:
\begin{align}
	A = \tau_{,ij} = (1-\kappa)
	\begin{bmatrix}
		1 & 0 \\
		0 & 1
	\end{bmatrix} - 
	\begin{bmatrix}
		\gamma_1 & \gamma_2\\
		\gamma_2 & -\gamma_1
	\end{bmatrix}.
\end{align}
The first matrix corresponds to an isotropic scaling of the image, whereas the second matrix corresponds to the shearing of the image.

To find the magnification of the image, we can evaluate the magnification matrix
\begin{align}
	M = \frac{d\vec\theta}{d\vec\beta}.
\end{align}
The magnitude of the magnification is simply given by the determinant of the magnification matrix, i.e.
\begin{align}
	\mu = |M|.
\end{align}
From the lens equation, we have
\begin{align}
	\beta_{i,j} = \theta_{i,j} - \psi_{,ij} = A_{ij}.
\end{align}
This means that the lensing Jacobian is simply the inverse of the magnification matrix, i.e. $A = M^{-1}$.

There exist positions where the magnification becomes infinite. 
The corresponding curves $\vec\theta(\mu\rightarrow\infty)$ on the lens plane are known as critical curves. 
We can also map these curves back to the image plane using the lens equation. 
These curves are known as the caustics. 
Figure \ref{Fig: caustics_and_critical_curves} shows the caustics and critical curves of a point mass lens model. 
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{caustics_and_critical_curves.png}
\caption{\label{Fig: caustics_and_critical_curves} Critical curves and caustics of a point mass lens model.}
\end{figure}
The caustics also provide a very intuitive way to determine the number of images formed. 
A new pair of images will be formed whenever the source crosses a caustic.

For a more detailed discussion on gravitational lensing in general, readers are referred
to standard reviews and textbooks, including but not limited to \cite{1992grle.book.....S,congdon2018principles,dodelson_2017,universe2010006}.
I will end this section here by stating that gravitational lensing has been extensively studied with electromagnetic waves~\citep{Rahvar:2018nhx,Cunha:2018acu,Turyshev:2017pgm,Dokuchaev:2018fze,Bartelmann:2016dvf,Narayan:1996ba,Metcalf:2018elz,Clowe:2003tk,Markevitch:2003at,Bond:2004qd,Coe:2012wj}. 
Starting from the next section, I will focus on discussing gravitational lensing of gravitational waves.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Gravitational lensing of gravitational waves}
\label{sec: lensing_of_gw_introduction}
In this section, I will focus on the lensing of gravitational waves. I will first explain some of the motivations for studying lensed
gravitational waves. Then, I will briefly discuss the different regimes of gravitational lensing of gravitational waves, 
from microlensing to millilensing, and end with strong lensing. For the rest of my thesis, I will focus on strong lensing of
gravitational waves. Next, I will discuss the current effort from the LVK collaboration to search for lensing signatures in 
gravitational-wave data, outlining the key pipelines and technologies being used in preparation for discussions in the later chapters.

\subsection{\underline{Motivations for studying lensed gravitational waves}}
The effect of gravitational lensing has been exclusively studied with electromagnetic waves.
Gravitational waves should be gravitationally lensed in the same way, according to the equivalence principle. 
As discussed in \cite{LIGOScientific:2023bwz,Hannuksela:2019kle,LIGOScientific:2021izm,Janquart:2023mvf},
the search for gravitationally-lensed gravitational waves is highly motivated.

One of the avenues is to test general relativity~\cite{Ezquiaga:2020dao,Baker:2016reh,Collett:2016dey,Goyal:2020bkm,Ezquiaga:2020gdt,Goyal:2023uvm}.
Suppose we identify a pair of strongly lensed gravitational waves originating from the same source with a network of
three linearly independent detectors (e.g. the LIGO-Hanford, LIGO-Livingston, and Virgo detectors). We are essentially observing the
same signal twice, albeit at different times. An alternative view is that we are observing the gravitational-wave signal
with a six-detector network. This provides an excellent opportunity to perform precise polarization tests on gravitational waves and
test alternative theories of gravity \cite{MaganaHernandez:2022ayv,Dalang:2021qhu,Goyal:2020bkm} as the network can measure different 
combinations of the same polarization.
One may also test the speed of gravitational waves over cosmological distances with strongly lensed gravitational waves (See \cite{Collett:2016dey}).

Another possible avenue is to perform precision cosmology~\citep{Sereno:2011ty,Liao:2017ioi,Cao:2019kgn,Li:2019rns,Hannuksela:2020xor} and statistical cosmology~\citep{Xu:2021bfn}.
Strongly lensed gravitational waves have accurately measured time delays. With the help of multi-messenger astronomy, we can
observe images and redshifts in the electromagnetic regime. Together, the two pieces of information allow us to achieve precise cosmography
and a better-measured Hubble constant \cite{Liao:2017ioi,Jana:2022shb}. Detecting strongly lensed gravitational waves also allows us
to probe the population of compact binaries and galaxies, especially in the higher redshift universe \cite{Xu:2021bfn}. 
Understanding the early universe through gravitational waves is not possible unless one takes into account gravitational lensing of gravitational waves, and the stochastic gravitational-wave background. 

Studying and detecting gravitationally-lensed gravitational waves also allows one to improve source localization~\cite{Hannuksela:2020xor,Yu:2020agu} 
and lens model characterization~\cite{Lai:2018rto,Diego:2019lcd,Oguri:2020ldf,Liu:2023ikc}. Apart from traditional candidates for gravitational lenses,
including galaxies and galaxy clusters, one can also make use of gravitationally-lensed gravitational waves to probe dark matter in the universe, an
alternative viable candidate for gravitational lenses \cite{Cao:2022mrc,Fairbairn:2022xln,Zhou:2022yeo,Liu:2019dds}, and possibly halo properties \cite{Tambalo:2022wlm}.

\subsection{\underline{Basics of lensing of gravitational waves}}
The derivations and discussion in this subsection closely follow \cite{More:2021kpb,Ezquiaga:2020gdt}.
In Section \ref{sec: brief_intro_to_lensing}, we show that the total time delay between the lensed and unlensed travelling paths 
in the thin lens approximation is given by the sum of the geometric time delay $\tau_\mathrm{geo}$
and the gravitational time delay (also known as the Shapiro time delay) $\tau_\mathrm{grav}$:
\begin{align}
	\tau(\vec{\theta}, \vec\beta) &= \tau_\mathrm{geo} + \tau_\mathrm{grav} \\
	&= (1+z_L)\frac{D_\text{S}D_\text{L}}{2D_\text{LS}}|\vec\theta - \vec\beta|^2 -2(1+z_L)\int \Phi dl \\
	&= (1+z_L)\frac{D_\text{S}D_\text{L}}{D_\text{LS}}\left[\frac{1}{2}|\vec\theta - \vec\beta|^2 - \Phi_\text{eff}\right],
\end{align}
where
\begin{align}
	\Phi_\text{eff} = \frac{D_\text{LS}}{D_\text{L}D_\text{S}} \int 2\Phi dl
\end{align}
is the effective gravitational potential.

Following \cite{Ezquiaga:2020gdt}, the observed lensed gravitational wave is given by
\begin{align}
	\tilde{h}_L = \frac{1}{2\pi}\int F(\omega, \vec\beta) \cdot \tilde{h}_U d\omega,
\end{align}
where $\omega$ is the angular frequency,
\begin{align}
	\tilde{h}_U = \int h(t) e^{i\omega t} dt
\end{align}
is the frequency domain unlensed gravitational wave, and the amplification factor
\begin{align}
\label{eq: amplification_factor}
	F(\omega, \vec\beta) = \frac{D_\text{L}D_\text{S}}{D_\text{LS}}\frac{\omega}{2\pi i} \int e^{i\omega \tau(\vec\theta, \vec\beta)}d^2\theta
\end{align}
considers all the possible traveling paths of the gravitational waves from the source to the observer. 
The amplification factor is also known as the \textbf{Fresnel-Kirchhoff diffraction integral}, a reduction of
the infinite-dimensional Feynman path integral \cite{Ezquiaga:2020gdt,1999PThPS.133..137N}.
Note that the amplification factor in the most general case is \textbf{frequency-dependent}.

Depending on the mass properties of the lens~\cite{Ohanian:1974ys,Thorne:1982cv,Deguchi:1986zz,Wang:1996as,Nakamura:1997sw,Takahashi:2003ix},
the effect of gravitational lensing can be vastly different, and different approximations can also be applied.
In the following sections, we will investigate the various regimes of gravitational lensing: microlensing, millilensing, and strong lensing.


\subsection{\underline{Microlensing of gravitational waves}}
When we consider gravitational lenses with sizes that are comparable to gravitational-wave wavelengths, they
can produce frequency-dependent modulations, also known as wave optics effects, on the lensed waveforms via 
the amplification factor array (See equation \ref{eq: amplification_factor}).
This is formally known as \textbf{microlensing}~\cite{Deguchi:1986zz,Nakamura:1997sw,Takahashi:2003ix,Cao:2014oaa,Lai:2018rto,Christian:2018vsi,Dai:2018enj,Diego:2019lcd,Caliskan:2022hbu,Cheung:2020okf,Mishra:2021abc,Meena:2022unp,Cremonese:2021puh,Caliskan:2023zqm}. The detection of microlensed gravitational waves
allow us to study and understand the nature of the gravitational lens~\citep{Takahashi:2003ix,Cao:2014oaa,Jung:2017flg,Lai:2018rto,Christian:2018vsi,Dai:2018enj,Diego:2019lcd,Diego:2019rzc,Pagano:2020rwj,Cheung:2020okf,Mishra:2021xzz,Meena:2022unp}.

Gravitational lenses with masses $\leq \mathcal{O}(10^5) M_\odot$ fall within the microlensing regime.
These include stellar-mass objects and intermediate-mass black holes. Note that, however, it is
not likely that a gravitational wave detected on the Earth only passes by a single stand-alone
microlens, but rather, these microlenses are often embedded within larger structures such as a galaxy
or galaxy clusters. Therefore, more realistic models where one or more microlenses are included in a
larger macrolens have been considered and developed~\citep{Diego:2019rzc,Cheung:2020okf,10.1093/mnras/staa278,Mishra:2021xzz,Yeung:2021chy},
albeit resulting in more complicated waveforms. Nevertheless, due to the expensive computational costs
to work with these realistic models, the LVK collaboration has only been searching for microlensing effects
in gravitational waves assuming an isolated lens \cite{Seo:2021psp,Hannuksela:2019kle,LIGOScientific:2021izm,LIGOScientific:2023bwz,Janquart:2023mvf} (See also the subsection ``Current Effort from LVK Collaboration'') with different lens model, including the Point Mass Lens model (PML), 
the Singular Isothermal Sphere model (SIS),
the Singular Isothermal Ellipsoid model (SIE), 
and the Navarro-Frenk-White model (NFW).


\subsection{\underline{Strong Lensing of gravitational waves}}
When the size of the gravitational lenses is (much) larger than the gravitational-wave wavelength,
the time delay between stationary paths (among all the possible travelling paths) in the amplification factor (path) integral
becomes (much) larger than the inverse frequency of the wave, and hence we can approximate the integral
by assuming that it is dominated by the stationary phase points in the Fermat's time-delay surface under 
the stationary phase approximation \cite{More:2021kpb,Ezquiaga:2020gdt}. These stationary phase points
are essentially unique separate lensed gravitational-wave signals  (different from the inseparable signals 
from microlensing). The Fermat's time-delay surface allows for three stationary point solutions: a minimum, 
a saddle-point and a maximum. The lensed images formed at these points are referred to as Type I, Type II 
and Type III images accordingly. 

Following \cite{Ezquiaga:2020gdt}, we can Taylor-expand the total time delay $\tau$ around the
stationary phase points $\vec\theta_k$ under the stationary phase approximation as 
\begin{align}
	\tau(\vec\theta, \vec\beta) &\approx \tau(\vec\theta_k) + \frac{1}{2} \sum_{(a,b)=1}^2 |\vec\theta_k - \vec\beta|_a |\vec\theta_k - \vec\beta|_b \partial_a \partial_b \tau(\vec\theta_k),
\end{align}
where $k$ labels the $k^\mathrm{th}$ image, and $a,b$ represents the two components of the two-dimensional angles.
Note that the first-order term in the Taylor expansion vanishes because the time-delay function is expanded around
the \textbf{stationary phase points}.
From the total time delay function $\tau(\vec{\theta}, \vec\beta)$,
we can obtain the stationary points by solving
\begin{align}
	\partial_a \tau(\vec\theta) = 0.
\end{align}
The nature of each of these stationary points, as we have seen before,
can be determined by evaluating the second-order derivative of the total
time delay function at these positions. The result would be a $2\times2$ matrix known
as the lensing Jacobian (or the Hessian matrix \cite{Ezquiaga:2020gdt})
\begin{align}
	T_{ab} = \partial_a \partial_b \tau(\vec\theta) = 
	\begin{bmatrix}
		\frac{d^2\tau}{d\theta_x^2} & \frac{d^2\tau}{d\theta_x d\theta_y} \\
		\frac{d^2\tau}{d\theta_x d\theta_y} & \frac{d^2\tau}{d\theta_y^2}
	\end{bmatrix}.
\end{align}
The stationary point is a local minimum if the second derivative yields two positive eigenvalues.
If it yields one positive and one negative eigenvalue, the solution is a saddle point solution.
If it yields two negative eigenvalues, the solution is a local maximum.
We can diagonalize the lensing Jacobian in terms of the eigenvalues $\lambda_{1k}, \lambda_{2k}$ 
and corresponding eigenvectors $\tilde\theta_{1}, \tilde\theta_{2}$. This allows us to write
the second term in the Taylor expansion for the total time delay function as
\begin{align}
	\frac{1}{2} \sum_{(a,b)=1}^2 |\vec\theta_k - \vec\beta|_a |\vec\theta_k - \vec\beta|_b \partial_a \partial_b \tau(\vec\theta_k) = \frac{1}{2}\frac{D_\text{S}D_\text{L}}{D_\text{LS}}\left(\lambda_{1k}\tilde\theta_{1}^2 + \lambda_{2k}\tilde\theta_{2}^2\right).
\end{align}
Substituting this into the amplification factor array, we have
\begin{align}
	F &= \frac{D_\text{L}D_\text{S}}{D_\text{LS}}\frac{\omega}{2\pi i} \int e^{i\omega \tau(\vec\theta, \vec\beta)}d^2\theta\\
	&\approx \frac{D_\text{L}D_\text{S}}{D_\text{LS}}\frac{\omega}{2\pi i} \times \sum_k e^{i\omega \tau(\vec\theta_k)} \times \int \exp\left[\frac{i\omega}{2}\frac{D_\text{S}D_\text{L}}{D_\text{LS}}\left(\lambda_{1k}\tilde\theta_{1}^2 + \lambda_{2k}\tilde\theta_{2}^2\right)\right] d^2\tilde\theta \\
	&=\frac{D_\text{L}D_\text{S}}{D_\text{LS}}\frac{\omega}{2\pi i} \times \sum_k e^{i\omega \tau(\vec\theta_k)} \times \int \exp\left[\frac{i\omega\lambda_{1k}}{2}\frac{D_\text{S}D_\text{L}}{D_\text{LS}} \tilde\theta_1^2 \right] d\tilde\theta_1 \\
	&\times \int \exp\left[\frac{i\omega\lambda_{2k}}{2}\frac{D_\text{S}D_\text{L}}{D_\text{LS}} \tilde\theta_2^2 \right] d\tilde\theta_2.
\end{align}
Note that the last two terms are complex Gaussian integrals. We can evaluate the integrals with the identity 
\begin{align}
	\int_{-\infty}^{\infty} \exp\left[\pm ix^2\right] dx = \exp\left[\pm i\frac{\pi}{4}\right] \cdot \sqrt{\pi}.
\end{align}
For the first integral, we make the following change of variable (in \cite{Ezquiaga:2020gdt}, it was phrased as a renormalization)
\begin{align}
	\tilde\chi_1 = \sqrt{\frac{\omega\lambda_{2k}}{2}\frac{D_\text{S}D_\text{L}}{D_\text{LS}}}\tilde\theta_1,
\end{align}
which transforms the integral as
\begin{align}
	\int \exp\left[\frac{i\omega\lambda_{1k}}{2}\frac{D_\text{S}D_\text{L}}{D_\text{LS}} \tilde\theta_1^2 \right] d\tilde\theta_1 &= \sqrt{\frac{2}{\omega\lambda_{1k}}\frac{D_\text{LS}}{D_\text{S}D_\text{L}}}\int \exp\left[i\mathrm{sign}(\omega\lambda_{1k})\tilde\chi_1^2 \right] d\tilde\chi_1\\
	&= \sqrt{\frac{2}{\omega\lambda_{1k}}\frac{D_\text{LS}}{D_\text{S}D_\text{L}}} \cdot \sqrt{\pi} \cdot \exp\left[i\mathrm{sign}(\omega\lambda_{1k})\frac{\pi}{4}\right].
\end{align}
Note that the $\mathrm{sign}(...)$ function denoting the sign of the argument (in this case, it is the product of the  angular frequency $\omega$ and the eigenvalue $\lambda_{1k}$) is required as it will affect the evaluation of the Gaussian integral. The second integral can be transformed similarly into
\begin{align}
	\int \exp\left[\frac{i\omega\lambda_{2k}}{2}\frac{D_\text{S}D_\text{L}}{D_\text{LS}} \tilde\theta_2^2 \right] d\tilde\theta_2 &= \sqrt{\frac{2}{\omega\lambda_{2k}}\frac{D_\text{LS}}{D_\text{S}D_\text{L}}} \cdot \sqrt{\pi} \cdot \exp\left[i\mathrm{sign}(\omega\lambda_{2k})\frac{\pi}{4}\right].
\end{align}
Then, the amplification factor array can be written as
\begin{align}
	F &\approx \frac{D_\text{L}D_\text{S}}{D_\text{LS}}\frac{\omega}{2\pi i} \times \sum_k e^{i\omega \tau(\vec\theta_k)} \times \frac{2\pi}{\omega}\frac{D_\text{LS}}{D_\text{S}D_\text{L}} \times \sqrt{\lambda_{1k}\lambda_{2k}}\\
	&\times \exp\left[i\left[\mathrm{sign}(\omega\lambda_{1k}) + \mathrm{sign}(\omega\lambda_{2k})\right]\frac{\pi}{4}\right]\\
	&= \sum_k \left(-i\right) \cdot \exp\left[i\omega \tau(\vec\theta_k)\right] \cdot \sqrt{\frac{1}{|\lambda_{1k}\lambda_{2k}|}} \cdot \exp\left[i\mathrm{sign}(\omega) \frac{q\pi}{2}\right],
\end{align}
where
\begin{align}
	q = 
	\begin{cases}
		1, \text{ for local minimum (two positive eigenvalues)}\\
		0, \text{ for saddle point (one positive and one negative eigenvalue)}\\
		-1, \text{ for local minimum (two negative eigenvalues)}
	\end{cases}
\end{align}
(I use $q$ to distinguish the usual $n$ in most literature). We can write $-i = \exp\left[-i\frac{\pi}{2}\right]$, and hence the amplification factor array as
\begin{align}
	F &= \sum_k \underbrace{\sqrt{\frac{1}{|\lambda_{1k}\lambda_{2k}|}}}_{\sqrt{|\mu(\vec\theta_k)|}} \cdot \exp\left[i\omega \tau(\vec\theta_k) - i\frac{\pi}{2} + i\mathrm{sign}(\omega) \frac{q\pi}{2}\right]\\
	&= \sum_k \sqrt{|\mu(\vec\theta_k)|} \cdot \exp\left[i\omega \tau(\vec\theta_k) - i\mathrm{sign}(\omega)\frac{n\pi}{2}\right],
\end{align}
where
\begin{align}
	\mu(\vec\theta_k) = \frac{1}{|\lambda_{1k}\lambda_{2k}|}
\end{align}
is the amplification factor for the $k^\text{th}$ image (note that we have shown previously that the magnification is identical to the inverse of the product of the eigenvalues of the Lensing Jacobian), and
%\footnote{
%	Note that the lensing Jacobian is the inverse of the magnification matrix
%	\begin{align}
%		M = \frac{\partial \vec\theta}{\partial \vec\beta}
%	\end{align}
%	whose determinant (product of the eigenvalues of $M$) gives the magnification of the images. 
%	Hence, the magnification is identical to the inverse of the product of the eigenvalues of the
%	Lensing Jacobian.
%}
\begin{align}
	n = 
	\begin{cases}
		0, \text{ for local minimum (Type 1)}\\
		1, \text{ for saddle point (Type 2)}\\
		2, \text{ for local minimum (Type 3)}
	\end{cases},
\end{align}
is commonly known as the \textbf{Morse phase}. Figure \ref{fig:lensing_GW_phase_shift} illustrates the
three types of strongly-lensed gravitational waves with different Morse phases. 
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{phase_shift_GW.png}
\caption{
	(Left) Type 1 (blue) and Type 2 (orange) gravitationally-lensed gravitational waveforms in the time domain.
	(Right) Type 1 (blue) and Type 3 (orange) gravitationally-lensed gravitational waveforms in the time domain.
	Type 1 signals have zero Morse phase shift, and hence, they are in phase with the not-lensed gravitational wave.
	Type 2 signals have a $\frac{\pi}{2}$ Morse phase shift compared to the not-lensed gravitational wave.
	Type 3 signals have a $\pi$ Morse phase shift compared to the not-lensed gravitational wave.
}
\label{fig:lensing_GW_phase_shift}
\index{figures}
\end{figure}

Different lens models predict different distributions of relative time delays and relative magnifications between
gravitationally-lensed gravitational waves from the same source. Gravitational lenses with moderate masses (e.g. galaxies)
can produce lensed gravitational waves with relative time delays ranging from days to months, whereas more massive gravitational
lenses (e.g. galaxy clusters) can produce lensed signals with relative time delays ranging from months to years \cite{More:2021kpb,Oguri:2018muv}.
If appropriately used, the aforementioned prior information can help us to estimate the lensing rates for gravitational waves (See Chapter \ref{Chapter: O3a_lensing} and \cite{Mukherjee:2020tvr})
and can also help us to improve the search sensitivity for possible strongly-lensed gravitational waves (See Chapter \ref{Chapter: O3a_lensing}).

It is also important to note that the magnification factor $\sqrt{|\mu_j|}$ can be smaller than $1$ \cite{Oguri:2018muv}.
Hence, some strongly-lensed gravitational waves may be de-magnified with a reduced signal-to-noise (SNR) ratio 
below the detection threshold. These signals, formally known as ``sub-threshold'' signals, are of particular interest,
as a significant proportion of strongly-lensed gravitational-wave events falls into this category~\cite{Wierda:2021upe}. 
Retrieving these possible sub-threshold lensed counterparts is a crucial step to boost the confidence for the first detection
of strongly-lensed gravitational waves.

To summarize, in the strong lensing regime, we can use the stationary phase approximation to simplify the
amplification factor integral so that it becomes frequency-independent (i.e. achromatic). This approximation
is also known as the geometric optics limit. 
Mathematically, if we denote the not-lensed gravitational wave in the frequency domain as $\tilde{h}^\text{NL}(f; \vec{\theta}, \Delta t_j = 0)$, 
then the $j^\text{th}$ strongly-lensed counterpart waveform $\tilde{h}_j$ is
\begin{equation}
	\tilde{h}_j (f; \vec{\theta}, \mu_j, \Delta t_j, \Delta \phi_j) = \sqrt{| \mu_j |}\tilde{h}^\mathrm{NL} (f; \vec{\theta}, \Delta t_j) e^{\left(i\,\mathrm{sign}(f) \Delta \phi_j\right)}.
\end{equation}
where
\begin{align}
	\Delta \phi_j = -\frac{n_j \pi}{2},\,\,n_j = 
	\begin{cases}
		0, \text{Type 1 lensed signals}\\
		1, \text{Type 2 lensed signals}\\
		2, \text{Type 3 lensed signals}
	\end{cases}
\end{align}
is the Morse phase factor, and $\mu_j$ is the magnification for the $j^\mathrm{th}$ lensed signal.


\subsection{\underline{Millilensing of gravitational waves}}
In between strong lensing and microlensing, there is an intermediate regime where the sizes of the 
gravitational lenses are comparable to, although still larger than, the gravitational-wave lengths. 
In this regime, the geometric optics limit used for strong lensing is still valid, such that the lensed
signals are still distinct signals. However, the relative time delays between the lensed signals are 
shortened so that they can start overlapping and interfere with each other, resulting in similar beating
patterns as in microlensing. This is known as millilensing \cite{Liu:2023ikc}. We expect millilensing
to occur for gravitational lenses with masses ranging from $10^2 M_\odot$ to $10^6 M_\odot$.
In this regime, the millilensed gravitational-wave signal is the sum of all the lensed gravitational-wave
signals produced
\begin{align}
	\tilde{h} \left(f; \vec{\theta}, \left\{\mu_j, t_j, n_j \right\}_{j=1,\ldots,K} \right) = \left[ \sum_{j=1}^K \sqrt{|\mu_j|} e^{\left(i\,\mathrm{sign}(f) \Delta \phi_j\right)} \right] \tilde{h}^\mathrm{NL} (f; \vec{\theta}, \Delta t_j).
\end{align}
where $j$ is the $j^\mathrm{th}$ lensed gravitational-wave signals, running from $1$ to $K$.
The interference between the lensed gravitational-wave signals results in a non-trivial millilensed
gravitational wave. Since the total number of lensed signals is usually not known a priori, searching for
such millilensed signals requires one to either fix the number of lensed signals in a search, or make it
into a variable and try to infer it \cite{Liu:2023ikc,Janquart:2023mvf}.


\subsection{\underline{Current LVK effort to search for lensing signatures in gravitational-wave data}}
Since the first successful detection of gravitational waves by the LIGO-Virgo-KAGRA (LVK) Collaboration~\citep{LIGOScientific:2018mvr,LIGOScientific:2020ibl,LIGOScientific:2021usb,LIGOScientific:2016vbw,LIGOScientific:2016vlm,LIGOScientific:2017vwq,LIGOScientific:2020aai,LIGOScientific:2020ufj,LIGOScientific:2020zkf,LIGOScientific:2020stg,LIGOScientific:2021qlt},
The LVK collaboration has conducted various analyses searching for lensing signatures 
in the event catalogs of LVK's observing runs O1-O2~\cite{Hannuksela:2019kle} and O3~\cite{LIGOScientific:2021izm,LIGOScientific:2023bwz}.
The details will be covered in later chapters.
In this subsection, I will briefly introduce the framework of LVK's lensing searches.

\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{LVK_lensing_framework.png}
\caption{
	The general framework of the LIGO-Virgo-KAGRA (LVK) collaboration's lensing searches.
	We start with a set of confirmed gravitational-wave events.
	We perform microlensing (via the pipeline GRAVELAMPS) and millilensing analysis for each event.
	We also search for possible sub-threshold lensed counterparts to each event via two independent
	search methods: (1) GstLAL-based search pipeline TESLA, and (2) \textsc{PyCBC}-based sub-threshold search.
	From the final pool of gravitational-wave candidates, we form pairs of candidates. 
	For each pair, we utilize three independent preliminary tests/pipelines to check for signal consistency, namely
	(1) posterior overlap (checking for consistency in signal source parameters),
	(2) machine-learning-based classification test LensID (checking for consistency in sky location of source and time-frequency maps of signals), and
	(3) phazap (checking for consistency in the signal phase with the strong lensing hypothesis).
	Each of these tests assigns a ranking statistic to the pairs of candidates, and those that satisfy a pre-determined threshold are 
	passed on for two independent, robust tests to determine how likely they are strongly-lensed counterparts to each other from the same source, namely
	(1) Golum and (2) Hanabi. Pairs that survive the tests with strong evidence of being strongly lensed will then be followed up further. 
}
\label{fig:LVK_lensing_framework}
\index{figures}
\end{figure}
Figure \ref{fig:LVK_lensing_framework} illustrates the general framework of the LVK collaboration's lensing searches.
We start with a set of confirmed gravitational-wave events documented in LVK's Gravitational-Wave Transient Catalogues (GWTC).
For each event in the set, we first perform microlensing analysis to look for possible microlensing signatures embedded in the
gravitational-wave signal via the pipeline GRAVELAMPS \cite{Wright:2021cbn}.
In the follow-up work \cite{Janquart:2023mvf} for the full-O3 lensing analysis \cite{LIGOScientific:2023bwz}, we also search 
for possible millilensing signatures with the methodology described in \cite{Liu:2023ikc}.
LVK also searches for possible strongly-lensed gravitational waves within the available data.
To account for possible de-magnified sub-threshold strongly-lensed gravitational waves that are not previously
identified as a signal, we first employ two independent search pipelines: (1) GstLAL-based search pipeline TESLA \cite{Li:2019osa,Li:2023zdl}, 
and (2) \textsc{PyCBC}-based sub-threshold search \cite{McIsaac:2019use} to search for possible sub-threshold lensed counterparts to known
gravitational-wave events in the set under consideration.
Then, we form possible pairs of lensed gravitational-wave candidates from the final pool of gravitational waves.
For each pair, we utilize independent preliminary tests/pipelines to check for signal consistency
\footnote{
	Under the strong lensing hypothesis, strongly-lensed gravitational waves should have the same intrinsic parameters.
	While the inferred sky location of the gravitational-wave sources of the lensed signals should differ, the deviation
	is usually of the order of $\mathcal{O}(1'')$. In contrast, the source localization for gravitational waves has an uncertainty of the
	order of $\mathcal{O}(1^\mathrm{o})$. Therefore, we assume that strongly-lensed gravitational waves would have essentially the
	same sky location.
}:
\begin{enumerate}
	\item[(1)] 	Posterior overlap: Check for consistency of intrinsic parameters of the gravitational-wave signals by comparing the
			posteriors of gravitational waves obtained from standard parameter estimation under the unlensed hypothesis \cite{Haris:2018vmn}.
	\item[(2)] 	LensID: A machine-learning-based pipeline that checks for consistency in the sky location of the gravitational-wave sources
			and time-frequency maps of the signals \cite{Goyal:2023lqf}.
	\item[(3)]	phazap: Employed since the O4 analysis that checks for consistency of the signals' phase with respect to the strong lensing hypothesis (under strong lensing, only certain integral values of phase differences between lensed signals are allowed) \cite{Ezquiaga:2023xfe}.
\end{enumerate}
Each of these pipelines assigns a ranking statistic to the pairs of possible lensed gravitational-wave candidates, 
and those that satisfy a pre-determined threshold are passed on to two independent, robust joint parameter estimation pipelines,
Golum \cite{Janquart:2023osz,Janquart:2022wxc} and Hanabi \cite{Lo:2021nae}, to re-analyse the event pair under the strong-lensing hypothesis. 
At the end, the two pipelines evaluate a Bayes factor for each event pair, comparing the hypothesis that the two events are strongly-lensed
counterparts to each other, and that the two events are independent, unlensed events. Pairs with sufficiently high evidence of being 
strongly lensed will then be followed up further.
Details of these tests can be found in their respective references (cited above), as well as in later chapters.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Overview of the upcoming chapters}
\label{sec: overview_of_upcoming_chapters}

In Chapter \ref{Chapter: traditional_tesla}, I will introduce the GstLAL-based search pipeline TESLA that
searches for possible sub-threshold lensed counterparts to known superthreshold gravitational waves. TESLA
also participated in the LVK collaboration-wide effort to search for lensing signatures in gravitational waves
from O3 data. Results from the analysis of the first-half of O3 data \cite{LIGOScientific:2021izm}, the
full O3 data \cite{LIGOScientific:2023bwz}, and the follow-up analysis \cite{Janquart:2023mvf} are included
and discussed in Chapters \ref{Chapter: O3a_lensing}, \ref{Chapter: O3b_lensing} and \ref{Chapter: O3_lensing_followup}.
In Chapters \ref{Chapter: TESLA-X} and \ref{Chapter: TESLA-X-plus}, I will discuss the latest improvements made 
to the TESLA pipeline (currently known as the TESLA-X pipeline) that boost the search sensitivity for possible 
sub-threshold lensed counterparts to superthreshold gravitational waves. 
%Finally, in Chapter \ref{Chapter: Future-TESLA},
%I will outline some of the possible work that can be implemented to further increase the effectiveness of the TESLA-X
%lensing search pipeline.


%\begin{figure}[hbt!]
%\centering
%\includegraphics[width=\textwidth]{cross_polarization.png}
%\caption{Cross Polarization.}\label{fig:cross_polarization}
%\index{figures}
%\end{figure}

\begin{subappendices}
	\input{chapter_introduction_to_gravitational_lensing}
\end{subappendices}


